Bug 154679 - Needs to be better at handling slow media
Needs to be better at handling slow media
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Depends On:
  Show dependency treegraph
Reported: 2005-04-13 10:21 EDT by Tim Waugh
Modified: 2008-02-07 10:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-07 10:28:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2005-04-13 10:21:01 EDT
Description of problem:
When a USB mass storage-type camera is plugged in, gnome-volume-manager launches
gthumb-import.  This script notices the dcim subdirectory and launches gthumb at it.

For PTP-type cameras, gthumb is used to import the photos, and then it views
them on the hard disk drive.

With USB mass storage devices gthumb is absolutely hopeless at viewing pictures
directly on the device.  These are comparatively slow devices, and gthumb has
several short-comings:

* Thumbnails are only drawn for the images that are currently on-screen.  That
means that even if you go and make a cup of tea while it draws the thumbnails it
*can* see, when you come back and scroll down you'll still have to wait ages for
the other thumbnails to be drawn.

* The UI becomes unresponsive when drawing thumbnails.  Due to the previous
issue, this makes gthumb unworkable for doing things like dragging and dropping
files to the place you actually want them on the computer.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Plug in a USB mass storage-type camera with plenty of large images on.
2. Try scrolling through the list.
Actual results:
*Really* unresponsive.

Expected results:
As fast as nautilus is.
Comment 1 John (J5) Palmieri 2005-04-14 16:08:26 EDT
Have you tried the gthumb in rawhide to see if this fixed the issue?
Comment 2 Tim Waugh 2005-04-19 12:49:48 EDT
No.  I'll let you know when I do (probably a couple of weeks).
Comment 3 Matthew Miller 2006-07-10 19:39:17 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 petrosyan 2008-02-07 10:28:51 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.